Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003454TestLinkAPI - XMLRPCpublic2010-05-13 15:022010-09-19 15:11
Reporterrtessier 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003454: Extending the TestlinkXMLRPCServer class
DescriptionMinor changes to the TestlinkXMLRPCServer class would allow an extended class to be created. This is very useful to create customized callback methods that are not yet implemented in the base class.

I've attached a diff file with the changes to the xmlrpc.php file. I will also attach a sample extended class as soon as the ticket is created (only one file can be uploaded at creation time).
TagsAttachment, get_bugs_for_report, test
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon diff.txt [^] (21,508 bytes) 2010-05-13 15:02 [Show Content]
? file icon sample_class.php [^] (3,066 bytes) 2010-05-13 15:10
zip file icon fix-3454.zip [^] (27,386 bytes) 2010-05-14 20:02

- Relationships

-  Notes
(0009995)
fman (administrator)
2010-05-13 16:18

Thanks, will try to add to new release.
please ALWAYS attach full code instead of patchs
(0010016)
fman (administrator)
2010-05-14 20:03
edited on: 2010-05-14 20:07

new std implementation uploaded
your sample class has been added to 1.9 BETA 5

(0010505)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-13 15:02 rtessier New Issue
2010-05-13 15:02 rtessier File Added: diff.txt
2010-05-13 15:10 rtessier File Added: sample_class.php
2010-05-13 16:18 fman Note Added: 0009995
2010-05-14 20:02 fman File Added: fix-3454.zip
2010-05-14 20:03 fman Note Added: 0010016
2010-05-14 20:07 fman Note Edited: 0010016 View Revisions
2010-05-14 20:07 fman Status new => resolved
2010-05-14 20:07 fman Fixed in Version => 1.9 Beta 5
2010-05-14 20:07 fman Resolution open => fixed
2010-05-14 20:07 fman Assigned To => fman
2010-05-17 04:08 krishnap Tag Attached: Attachment
2010-05-17 04:08 krishnap Tag Attached: get_bugs_for_report
2010-05-17 04:08 krishnap Tag Attached: test
2010-07-02 18:35 fman Note Added: 0010505
2010-07-02 18:35 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker